> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an offer

> Update an existing offer's details.
    
    Can modify name, price, and settings. Note that changing pricing on an active 
    offer may affect existing subscription customers depending on your configuration.



## OpenAPI

````yaml /api-reference/api-docs.yaml patch /v0/offers/{offerId}/update
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/offers/{offerId}/update:
    patch:
      tags:
        - offers
      summary: Update an offer
      description: |-
        Update an existing offer's details.
            
            Can modify name, price, and settings. Note that changing pricing on an active 
            offer may affect existing subscription customers depending on your configuration.
      operationId: PatchV0OffersOfferIdUpdate
      requestBody:
        description: PATCH /v0/offers/:offerId/update Request body
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchV0OffersOfferIdUpdateRequestBody'
      responses:
        '200':
          description: PATCH /v0/offers/:offerId/update Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchV0OffersOfferIdUpdatePositiveResponse
        '400':
          description: PATCH /v0/offers/:offerId/update Negative response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchV0OffersOfferIdUpdateNegativeResponse
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
          APIKEY_2: []
components:
  schemas:
    PatchV0OffersOfferIdUpdateRequestBody:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 150
        description:
          type: string
          default: ''
        cover:
          type: string
        coverBlurHash:
          type: string
        currency:
          type: string
          enum:
            - AFN
            - ALL
            - DZD
            - AOA
            - ARS
            - AMD
            - AWG
            - AUD
            - AZN
            - BSD
            - BDT
            - BBD
            - BZD
            - BMD
            - BOB
            - BAM
            - BWP
            - BRL
            - BHD
            - GBP
            - BND
            - BGN
            - BIF
            - BYN
            - KHR
            - CAD
            - CVE
            - KYD
            - KWD
            - XAF
            - XPF
            - CLP
            - CNY
            - COP
            - KMF
            - CDF
            - CRC
            - HRK
            - CZK
            - DKK
            - DJF
            - DOP
            - XCD
            - EGP
            - ETB
            - EUR
            - FKP
            - FJD
            - GMD
            - GEL
            - GIP
            - GTQ
            - GNF
            - GYD
            - HTG
            - HNL
            - HKD
            - HUF
            - ISK
            - INR
            - IDR
            - ILS
            - JMD
            - JPY
            - JOD
            - KZT
            - KES
            - KGS
            - LAK
            - LBP
            - LSL
            - LRD
            - MOP
            - MKD
            - MGA
            - MWK
            - MYR
            - MVR
            - MRO
            - MUR
            - MXN
            - MDL
            - MNT
            - MAD
            - MZN
            - MMK
            - NAD
            - NPR
            - ANG
            - TWD
            - NZD
            - NIO
            - NGN
            - NOK
            - OMR
            - PKR
            - PAB
            - PGK
            - PYG
            - PEN
            - PHP
            - PLN
            - QAR
            - RON
            - RUB
            - RWF
            - SHP
            - SVC
            - WST
            - STD
            - SAR
            - RSD
            - SCR
            - SLL
            - SGD
            - SBD
            - SOS
            - ZAR
            - KRW
            - LKR
            - SRD
            - SZL
            - SEK
            - CHF
            - TJS
            - TZS
            - THB
            - TND
            - TOP
            - TTD
            - TRY
            - UGX
            - UAH
            - AED
            - UYU
            - USD
            - UZS
            - VUV
            - VEF
            - VND
            - XOF
            - YER
            - ZMW
            - SLE
            - XCG
            - SSP
            - VES
            - MRU
            - STN
            - VED
        price:
          type:
            - number
            - 'null'
          format: double
          minimum: 0
          maximum: 1.7976931348623157e+308
        originalPrice:
          type:
            - number
            - 'null'
          format: double
          minimum: 0
          maximum: 1.7976931348623157e+308
        freeProduct:
          type: boolean
          default: false
        limit:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
          maximum: 9007199254740991
        region:
          type: string
          enum:
            - Global
            - Europe
            - Argentina
            - United States
            - Turkey
            - United Kingdom
            - Latin America
            - Brazil
            - Canada
            - Mexico
            - Germany
            - Colombia
            - France
            - Saudi Arabia
            - Australia
            - Spain
            - India
            - Italy
            - Netherlands
            - United Arab Emirates
            - North America
            - Poland
            - Belgium
            - Asia
            - Egypt
            - Austria
            - Singapore
            - EMEA
            - Ireland
            - RU/CIS
            - Sweden
            - Portugal
            - Switzerland
            - New Zealand
            - Malaysia
            - Finland
            - Greece
            - Norway
            - Denmark
            - Japan
            - Hong Kong
            - Philippines
            - Middle East
            - Indonesia
            - Czech Republic
            - South Africa
            - South Korea
            - Luxembourg
            - Slovakia
            - Romania
            - Slovenia
            - Hungary
            - Chile
            - Nigeria
            - Thailand
            - Kuwait
            - Vietnam
            - Rest of the World
            - Bahrain
            - Qatar
        platform:
          type: string
          enum:
            - Meta Quest
            - TV
            - Music
            - Tidal
            - Tinder
            - Zalando
            - Razer
            - Netflix
            - Spotify
            - Walmart
            - Amazon
            - Food
            - Prepaid
            - Steam
            - Xbox Live
            - Origin
            - PSN
            - Ubisoft Connect
            - Nintendo
            - Official Website
            - GOG.com
            - Epic Games
            - Windows Store
            - Battle.net
            - Riot Games
            - Steam Gift Card
            - Roblox
            - Green gift
            - EA App
            - Rockstar Games Launcher
            - ArenaNet
            - PUBG
            - App Store
            - Google Play
            - Mobile
            - Other
            - Rockstar
          default: Global
        recurringInterval:
          type:
            - string
            - 'null'
          enum:
            - day
            - month
            - week
            - year
        recurringIntervalCount:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 1
          maximum: 9007199254740991
        trialInterval:
          type:
            - string
            - 'null'
          enum:
            - day
            - month
            - week
            - year
        trialIntervalCount:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 1
          maximum: 9007199254740991
        gtin:
          oneOf:
            - type: string
            - type: string
              minLength: 12
              maxLength: 14
        externalId:
          type: string
        variantId:
          type: string
          format: uuid
        variantIdx:
          type: integer
          format: int64
          minimum: -9007199254740991
          maximum: 9007199254740991
        fileName:
          type: string
        downloadFile:
          type: string
        downloadFileName:
          type: string
        downloadFileSize:
          type: number
          format: double
          minimum: -1.7976931348623157e+308
          maximum: 1.7976931348623157e+308
        downloadDescription:
          type: string
        productKeys:
          type: array
          items:
            type: string
            minLength: 1
        hasDiscount:
          type: boolean
        warningMessage:
          type: string
        mutableQuantity:
          type: boolean
        tags:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              name:
                type: string
                minLength: 1
                maxLength: 100
            required:
              - id
              - name
        downloadFileData:
          type:
            - object
            - 'null'
          properties:
            chunks:
              type: array
              items:
                type: object
                properties:
                  chunk:
                    format: any
                  metadata:
                    type: object
                    properties:
                      number:
                        type: number
                        format: double
                        minimum: -1.7976931348623157e+308
                        maximum: 1.7976931348623157e+308
                      start:
                        type: number
                        format: double
                        minimum: -1.7976931348623157e+308
                        maximum: 1.7976931348623157e+308
                      end:
                        type: number
                        format: double
                        minimum: -1.7976931348623157e+308
                        maximum: 1.7976931348623157e+308
                      size:
                        type: number
                        format: double
                        minimum: -1.7976931348623157e+308
                        maximum: 1.7976931348623157e+308
                    required:
                      - number
                      - start
                      - end
                      - size
                required:
                  - chunk
                  - metadata
            totalChunks:
              type: number
              format: double
              minimum: -1.7976931348623157e+308
              maximum: 1.7976931348623157e+308
            totalSize:
              type: number
              format: double
              minimum: -1.7976931348623157e+308
              maximum: 1.7976931348623157e+308
          required:
            - chunks
            - totalChunks
            - totalSize
        downloadFileType:
          type:
            - string
            - 'null'
        id:
          type: string
          format: uuid
      required:
        - id
    PatchV0OffersOfferIdUpdatePositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            offer:
              type: object
              properties:
                object:
                  type: string
                  enum:
                    - offer
                  default: offer
                id:
                  type: string
                  format: uuid
                internalId:
                  type:
                    - string
                    - 'null'
                  default: null
                price:
                  type: number
                  format: double
                  minimum: -1.7976931348623157e+308
                  maximum: 1.7976931348623157e+308
                originalPrice:
                  type:
                    - number
                    - 'null'
                  format: double
                  minimum: -1.7976931348623157e+308
                  maximum: 1.7976931348623157e+308
                  default: null
                recurringInterval:
                  type:
                    - string
                    - 'null'
                  enum:
                    - day
                    - month
                    - week
                    - year
                  default: null
                recurringIntervalCount:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: null
                trialInterval:
                  type:
                    - string
                    - 'null'
                  enum:
                    - day
                    - month
                    - week
                    - year
                  default: null
                trialIntervalCount:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: null
                currency:
                  type: string
                  enum:
                    - AFN
                    - ALL
                    - DZD
                    - AOA
                    - ARS
                    - AMD
                    - AWG
                    - AUD
                    - AZN
                    - BSD
                    - BDT
                    - BBD
                    - BZD
                    - BMD
                    - BOB
                    - BAM
                    - BWP
                    - BRL
                    - BHD
                    - GBP
                    - BND
                    - BGN
                    - BIF
                    - BYN
                    - KHR
                    - CAD
                    - CVE
                    - KYD
                    - KWD
                    - XAF
                    - XPF
                    - CLP
                    - CNY
                    - COP
                    - KMF
                    - CDF
                    - CRC
                    - HRK
                    - CZK
                    - DKK
                    - DJF
                    - DOP
                    - XCD
                    - EGP
                    - ETB
                    - EUR
                    - FKP
                    - FJD
                    - GMD
                    - GEL
                    - GIP
                    - GTQ
                    - GNF
                    - GYD
                    - HTG
                    - HNL
                    - HKD
                    - HUF
                    - ISK
                    - INR
                    - IDR
                    - ILS
                    - JMD
                    - JPY
                    - JOD
                    - KZT
                    - KES
                    - KGS
                    - LAK
                    - LBP
                    - LSL
                    - LRD
                    - MOP
                    - MKD
                    - MGA
                    - MWK
                    - MYR
                    - MVR
                    - MRO
                    - MUR
                    - MXN
                    - MDL
                    - MNT
                    - MAD
                    - MZN
                    - MMK
                    - NAD
                    - NPR
                    - ANG
                    - TWD
                    - NZD
                    - NIO
                    - NGN
                    - NOK
                    - OMR
                    - PKR
                    - PAB
                    - PGK
                    - PYG
                    - PEN
                    - PHP
                    - PLN
                    - QAR
                    - RON
                    - RUB
                    - RWF
                    - SHP
                    - SVC
                    - WST
                    - STD
                    - SAR
                    - RSD
                    - SCR
                    - SLL
                    - SGD
                    - SBD
                    - SOS
                    - ZAR
                    - KRW
                    - LKR
                    - SRD
                    - SZL
                    - SEK
                    - CHF
                    - TJS
                    - TZS
                    - THB
                    - TND
                    - TOP
                    - TTD
                    - TRY
                    - UGX
                    - UAH
                    - AED
                    - UYU
                    - USD
                    - UZS
                    - VUV
                    - VEF
                    - VND
                    - XOF
                    - YER
                    - ZMW
                    - SLE
                    - XCG
                    - SSP
                    - VES
                    - MRU
                    - STN
                    - VED
                limit:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: null
                soldItems:
                  type: integer
                  format: int64
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                  default: 0
                status:
                  type: string
                  enum:
                    - DRAFT
                    - OPEN
                    - CLOSED
                    - SOLD
                  default: DRAFT
                name:
                  type:
                    - string
                    - 'null'
                  default: null
                description:
                  type:
                    - string
                    - 'null'
                  default: null
                region:
                  type:
                    - string
                    - 'null'
                  enum:
                    - Global
                    - Europe
                    - Argentina
                    - United States
                    - Turkey
                    - United Kingdom
                    - Latin America
                    - Brazil
                    - Canada
                    - Mexico
                    - Germany
                    - Colombia
                    - France
                    - Saudi Arabia
                    - Australia
                    - Spain
                    - India
                    - Italy
                    - Netherlands
                    - United Arab Emirates
                    - North America
                    - Poland
                    - Belgium
                    - Asia
                    - Egypt
                    - Austria
                    - Singapore
                    - EMEA
                    - Ireland
                    - RU/CIS
                    - Sweden
                    - Portugal
                    - Switzerland
                    - New Zealand
                    - Malaysia
                    - Finland
                    - Greece
                    - Norway
                    - Denmark
                    - Japan
                    - Hong Kong
                    - Philippines
                    - Middle East
                    - Indonesia
                    - Czech Republic
                    - South Africa
                    - South Korea
                    - Luxembourg
                    - Slovakia
                    - Romania
                    - Slovenia
                    - Hungary
                    - Chile
                    - Nigeria
                    - Thailand
                    - Kuwait
                    - Vietnam
                    - Rest of the World
                    - Bahrain
                    - Qatar
                  default: null
                platform:
                  type:
                    - string
                    - 'null'
                  enum:
                    - Meta Quest
                    - TV
                    - Music
                    - Tidal
                    - Tinder
                    - Zalando
                    - Razer
                    - Netflix
                    - Spotify
                    - Walmart
                    - Amazon
                    - Food
                    - Prepaid
                    - Steam
                    - Xbox Live
                    - Origin
                    - PSN
                    - Ubisoft Connect
                    - Nintendo
                    - Official Website
                    - GOG.com
                    - Epic Games
                    - Windows Store
                    - Battle.net
                    - Riot Games
                    - Steam Gift Card
                    - Roblox
                    - Green gift
                    - EA App
                    - Rockstar Games Launcher
                    - ArenaNet
                    - PUBG
                    - App Store
                    - Google Play
                    - Mobile
                    - Other
                    - Rockstar
                  default: null
                gtin:
                  type:
                    - string
                    - 'null'
                  default: null
                warningMessage:
                  type:
                    - string
                    - 'null'
                  default: null
              required:
                - id
                - price
                - currency
          required:
            - offer
      required:
        - status
        - data
    PatchV0OffersOfferIdUpdateNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key
    APIKEY_2:
      type: apiKey
      in: header
      name: x-fngs-secret-key

````